---
dependency:
  name: "galaxy"
  options:
    ignore-certs: true

driver:
  name: "docker"

platforms:
  - name: "molecule--debian-12--instance-1--role--{{ bootstrap_role__meta_role_name | replace('_','-') }}"
    image: "docker-registry.nexus3.labo-cbz.net/labocbz/ansible-tests-debian-12:latest"
    hostname: "molecule--debian-12--instance-1--role--{{ bootstrap_role__meta_role_name | replace('_','-') }}"
    privileged: true
    pre_build_image: true
    command: "/sbin/init"
    volumes:
      - "/sys/fs/cgroup:/sys/fs/cgroup:rw"
    tmpfs:
      - "/run"
      - "/tmp"
    cgroupns_mode: "host"
    cgroup_manager: "cgroupfs"
    storage_driver: "overlay2"
    networks:
      - name: "molecule--debian-12--role--{{ bootstrap_role__meta_role_name | replace('_','-') }}"

provisioner:
  name: "ansible"
  inventory:
    links:
      hosts: "../../tests/inventory/hosts.yml"
      group_vars: "../../tests/inventory/group_vars/"
      host_vars: "../../tests/inventory/host_vars/"
  options:
    extra-vars: "@./../../tests/tower/tower.yml"
  log: true
  env:
    ANSIBLE_CONFIG: "../../.ansible.cfg"
    ANSIBLE_FORCE_COLOR: "true"
    # disable nologs
    MOLECULE_NOLOG: 0
    # disable destroy
    MOLECULE_DESTROY: "never"
    # debug mode (same as --debug) -- very verbose
    MOLECULE_DEBUG: 1
    # change ansible own verbosity
    ANSIBLE_VERBOSITY: 1

verifier:
  name: "ansible"

scenario:
  name: "cicd-debian-12"
  test_sequence:
    - "destroy"
    - "syntax"
    - "dependency"
    - "create"
    - "prepare"
    - "converge"
    - "idempotence"
    - "verify"
    - "destroy"
